twitter4j.conf

## Interface ConfigurationFactory

    public interface ConfigurationFactory

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` clean up resources acquired by this factory.
`Configuration` `getInstance()` returns the root configuration
`Configuration` `getInstance(String configTreePath)` returns the configuration specified by the path

### Method Detail

#### getInstance

    Configuration getInstance()

returns the root configuration

Returns:
  root configuration

#### getInstance

    Configuration getInstance(String configTreePath)

returns the configuration specified by the path

Parameters:
  `configTreePath` - the path
Returns:
  the configuration

#### dispose

    void dispose()

clean up resources acquired by this factory.